package com.kmall.admin.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 订单异常记录表实体
 * 表名 mall_order_exception_record
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-31 17:15:22
 */
public class OrderExceptionRecordEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Integer id;
    /**
     * 订单编号
     */
    private String orderSn;
    /**
     * 用户编号
     */
    private Integer userId;
    /**
     * 异常信息
     */
    private String exceptionContent;
    /**
     * 异常状态 00订单支付失败01系统异常02订单超时03其他
     */
    private String exceptionStatus;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：编号
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：编号
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：订单编号
     */
    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    /**
     * 获取：订单编号
     */
    public String getOrderSn() {
        return orderSn;
    }
    /**
     * 设置：用户编号
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户编号
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：异常信息
     */
    public void setExceptionContent(String exceptionContent) {
        this.exceptionContent = exceptionContent;
    }

    /**
     * 获取：异常信息
     */
    public String getExceptionContent() {
        return exceptionContent;
    }
    /**
     * 设置：异常状态 00订单支付失败01系统异常02订单超时03其他
     */
    public void setExceptionStatus(String exceptionStatus) {
        this.exceptionStatus = exceptionStatus;
    }

    /**
     * 获取：异常状态 00订单支付失败01系统异常02订单超时03其他
     */
    public String getExceptionStatus() {
        return exceptionStatus;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
